List Documents

List Documents
List all documents within an index.

This method allows you to list all for documents in an index.

Each document contains metadata, which tells you from which data source the document was retrieved (if any), what is the status of the document (if it has already been indexed, if indexing is pending, or if indexing may have failed), and what the system inferred to be the type of the document.

Request
URI
GET
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/documents
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
index_id
Required

index_id

Query Parameters
string
after
Optional

after

string
before
Optional

before

integer
limit
Optional
Constraints: exclusiveMinimum: 0 exclusiveMaximum: 1000 default: 100

limit

integer
offset
Optional
Constraints: minimum: 0 maximum: 4294967296 default: 0

offset

string
order
Optional
Constraints: default: asc

order

Possible values are : asc, desc,
boolean
set_num_objects
Optional
Constraints: default: false

set_num_objects

state
Optional

state

string
data_source_id
Optional

data_source_id

string
origin_name
Optional

origin_name


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns DocumentListResponse of type(s) application/json
{
    "object": "string",
    "has_more": false,
    "num_objects": 0,
    "data": [
        {
            "origin_name": "string",
            "origin_ref": "string",
            "custom_origin_name": "string",
            "custom_origin_ref": "string",
            "id": "string",
            "object": "string",
            "state": "string",
            "media_type": "string",
            "knowledge_base_id": "string",
            "index_id": "string",
            "data_source_id": "string",
            "created_at": 0,
            "last_embedded_at": 0,
            "last_indexed_by_id": "string",
            "size_bytes": 0,
            "hash_sha256": "string",
            "reindexing_needed": false
        }
    ],
    "first_id": "string",
    "last_id": "string"
}
string
object
Optional
Constraints: default: list

Object type, which is always list.

boolean
has_more
Optional

True, if the server may have more objects than returned in the response.

integer
num_objects
Required

Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).

array of object
data
Required

Document.

string As uuid As uuid
first_id
Required

ID of the first element in the list (if any)

string As uuid As uuid
last_id
Required

ID of the last element in the list (if any)


404

Invalid knowledge base ID.

Operation doesn't return any data structure

410

An invalid ID was passed for paginating results.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/documents